%define upstream_name    Catalyst-Model-SOAP
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Map a WSDL to a catalyst model class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Catalyst-Model-SOAP-1.5-fix-build.patch

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(XML::Compile)
BuildRequires: perl(XML::Compile::SOAP)
BuildRequires: perl(XML::Compile::WSDL11)
BuildRequires: perl(XML::LibXML)
BuildArch: noarch

%description
This module implements a mapping from a wsdl definition, interpreted by
XML::Compile::SOAP::WSDL, as a Model class, where each operation in the
wsdl file is represented by a method with the same name.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.500.0-4.mga6
+ Revision: 1023225
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.500.0-3.mga6
+ Revision: 969237
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 1.500.0-2.mga6
+ Revision: 864993
- Fix build with perl 5.22

* Mon Dec 22 2014 buchan <buchan> 1.500.0-1.mga5
+ Revision: 804873
- imported package perl-Catalyst-Model-SOAP


* Mon Dec 22 2014 Buchan Milne <buchan> 1.5-1mga
- initial mageia release
